Bug 220795 - XEN graphical FC6 guest install unsatisfied by any network driver selected
XEN graphical FC6 guest install unsatisfied by any network driver selected
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-26 22:20 EST by Gerry Reno
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 12:53:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xend.log (79.29 KB, text/plain)
2007-01-02 21:42 EST, Gerry Reno
no flags Details
xend-debug.log (4.52 KB, text/plain)
2007-01-02 21:43 EST, Gerry Reno
no flags Details
xen-hotplug.log (144 bytes, text/plain)
2007-01-02 21:44 EST, Gerry Reno
no flags Details
xend-config.sxp (4.77 KB, application/octet-stream)
2007-01-03 11:48 EST, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2006-12-26 22:20:51 EST
Description of problem:
XEN graphical FC6 guest install is stuck at the "No driver found" area for
network drivers.  One by one I selected every single driver in the list
including the network driver in the running Dom0 kernel and the result is always
the same: "No Driver Found", "Unable to find any devices of the type needed for
this installation type.  Would you like to manually select your driver or use a
driver disk?"

Version-Release number of selected component (if applicable):
xen.i386                                 3.0.3-0.1.rc3          installed       
xen-libs.i386                            3.0.3-0.1.rc3          installed       
virt-manager.i386                        0.2.6-2.fc6            installed       


How reproducible:
3 times so far.

Steps to Reproduce:
1. Install DomU FC6 XEN guest
2.
3.
  
Actual results:
Stuck at network driver selection screens

Expected results:
Able to select a driver and continue installation.

Additional info:
Comment 1 Gerry Reno 2006-12-26 22:22:18 EST
This is a NFS install.
Comment 2 Daniel Berrange 2007-01-02 04:18:08 EST
This error message indicates that the virtual NIC creation / hotplug scripts in
Dom0  failed to complete successfully. Can you provide the xend.log,
xend-debug.log and xen-hotplug.log files from /var/log/xen on the host in question. 
Comment 3 Gerry Reno 2007-01-02 21:42:27 EST
Created attachment 144679 [details]
xend.log
Comment 4 Gerry Reno 2007-01-02 21:43:06 EST
Created attachment 144680 [details]
xend-debug.log
Comment 5 Gerry Reno 2007-01-02 21:44:04 EST
Created attachment 144681 [details]
xen-hotplug.log
Comment 6 Daniel Berrange 2007-01-03 08:56:03 EST
This is an interesting line from xen-hotplug.log

> bridge xenbr0 does not exist!

The Fedora xen installation tools all currently require that the Dom0 host is
setup with bridged networking. The standard /etc/xen/xend-config.sxp has this
enabled out-of-the-box with the setting:

(network-script network-bridge)

Can upload your /etc/xen/xend-config.sxp and also run 'ifconfig -a' capture the
output and upload it.
Comment 7 Gerry Reno 2007-01-03 11:48:42 EST
Created attachment 144719 [details]
xend-config.sxp
Comment 8 Red Hat Bugzilla 2007-07-24 20:04:33 EDT
change QA contact
Comment 9 Daniel Berrange 2008-01-15 12:53:26 EST
Closing because FC6 is end-of-life and the ifconfig info requested from Comment
#6 was never provided.

Note You need to log in before you can comment on or make changes to this bug.